package adivinhacao;
import java.util.Scanner;

/** Jogo da Adivinhação
 * @author Daniel Caetano
 */
public class Adivinhacao {
    /** Função Principal
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        int numero, chute, tentativas;
        Scanner teclado = new Scanner(System.in);
        
        // Apresentação do Jogo
        System.out.println("Bem vindo ao Jogo da Adivinhação!");
        // Inicialização do Jogo
        System.out.println("Vou escolher um número de 0 a 9...");
        numero = (int)(Math.random()*10);
        System.out.println("Pronto, escolhi!");
        // Inicializa tentativas
        tentativas = 0;
        
        // Laço Principal
        while(true) {
            // Desenho
            System.out.print("Adivinhe o número inteiro: ");
            // Entrada de Dados
            chute = teclado.nextInt();
            tentativas = tentativas + 1;
            // I.A.
            if (chute == numero) {
                System.out.println("Parabéns, você acertou em " +
                        tentativas + " tentativas!");
                break;
            }
            // Não acertou... 
            else {
                // Verifica se as tentativas acabaram...
                if (tentativas >= 3) {
                    System.out.println("Que pena! O número era " +
                            numero + "!");
                    break;
                }
                // Se tentativas não acabaram, dá nova dica
                if (chute < numero) System.out.println("Muito baixo!");
                else System.out.println("Muito alto!");
            }
            
            
        }   
        
        // Fim 
        System.out.println("Obrigado por jogar!");
    }
}
