package adivinhacao;
import javax.swing.JOptionPane;

/** Jogo da Adivinhação
 * @author Daniel Caetano
 */
public class Adivinhacao {
    /** Função Principal
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        int numero, chute, tentativas;
        String sChute;
        
        // Apresentação do Jogo
        JOptionPane.showMessageDialog(null,
                "Bem vindo ao Jogo da Adivinhação!");
        // Inicialização do Jogo
        JOptionPane.showMessageDialog(null,
                "Vou escolher um número de 0 a 9...");
        numero = (int)(Math.random()*10);
        JOptionPane.showMessageDialog(null,
                "Pronto, escolhi!");
        // Inicializa tentativas
        tentativas = 0;
        
        // Laço Principal
        while(true) {
            // Desenho
            sChute = JOptionPane.showInputDialog("Adivinhe o número inteiro: ");
            // Entrada de Dados
            chute = Integer.parseInt(sChute);
            tentativas = tentativas + 1;
            // I.A.
            if (chute == numero) {
                JOptionPane.showMessageDialog(null,
                        "Parabéns, você acertou em " +
                        tentativas + " tentativas!");
                break;
            }
            // Não acertou... 
            else {
                // Verifica se as tentativas acabaram...
                if (tentativas >= 3) {
                    JOptionPane.showMessageDialog(null,
                            "Que pena! O número era " +
                            numero + "!");
                    break;
                }
                // Se tentativas não acabaram, dá nova dica
                if (chute < numero) JOptionPane.showMessageDialog(null,"Muito baixo!");
                else JOptionPane.showMessageDialog(null,"Muito alto!");
            }
            
            
        }   
        
        // Fim 
        JOptionPane.showMessageDialog(null, "Obrigado por jogar!");
    }
}
